multi_normal_rng.hpp File Reference
`#include <stan/math/prim/scal/err/check_finite.hpp>`
`#include <stan/math/prim/scal/err/check_positive.hpp>`
`#include <stan/math/prim/scal/fun/constants.hpp>`
`#include <stan/math/prim/scal/meta/include_summand.hpp>`
`#include <stan/math/prim/mat/err/check_pos_definite.hpp>`
`#include <stan/math/prim/mat/err/check_symmetric.hpp>`
`#include <stan/math/prim/mat/fun/trace_inv_quad_form_ldlt.hpp>`
`#include <stan/math/prim/mat/fun/log_determinant_ldlt.hpp>`
`#include <boost/random/normal_distribution.hpp>`
`#include <boost/random/variate_generator.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<class RNG >
Eigen::VectorXd | stan::math::multi_normal_rng (const Eigen::VectorXd &mu, const Eigen::MatrixXd &S, RNG &rng)
| Return a pseudo-random vector with a multi-variate normal distribution given the specified location parameter and covariance matrix and pseudo-random number generator. More...

[ Stan Home Page ] © 2011–2016, Stan Development Team.